# Sistema de Control de Temperatura
El Sistema de Control de Temperatura es un diseño basado en la recopilación de datos de la temperatura de dos transistores a partir de sensores que permiten medir esta variable y utilizando Arduino UNO como microcontrolador. Con la ayuda de pasta térmica, la energía del transistor al calentarse es transferida por conducción y convección al sensor de temperatura. Además, este proyecto dispone de una interfaz desarrollada en Python para visualizar la información y monitorear el estado de los dispositivos.


## Funcionamiento Básico
La información acerca de la temperatura registrada por el termistor es reunida por el microcontrolador para posteriormente ser enviada a través de comunicación serial a una computadora; mediante el código desarrollado y cargado al Arduino UNO, el monitor serial del software Arduino recibe estos datos, los cuales inmediatamente son expedidos al programa diseñado en Python para mostrar en una interfaz los resultados obtenidos en tiempo real tanto de manera numérica como gráfica, además de permitir controlar el encendido y apagado de los transistores.

## Programas Requeridos
En primer lugar se tiene que disponer del software de *Arduino* para poder comunicarse con el microcontrolador, cargar el programa en el mismo y recibir la información en el monitor serial. Para la descarga e instalación se **recomienda** seguir los pasos especificados en los siguientes enlaces:

### Para Windows:
* [Como instalar Arduino en Windows](https://arduino.cl/como-instalar-arduino-en-windows/).

### Para Ubuntu:
* [Cómo instalar Arduino IDE en las últimas versiones de Ubuntu](https://ubunlog.com/arduino-ide-en-ubuntu/).

De igual manera, se requiere del IDE de python para poder ejecutar el código de la interfaz que mostrará la información enviada a través de Arduino. Para la descarga e instalación se **recomienda** seguir los pasos especificados en los siguientes enlaces:

### Para Windows:
* [Download the latest version for Windows](https://www.python.org/downloads/).

* [Download Spyder for Windows](https://www.spyder-ide.org).

### Para Ubuntu:
* [IDLE Python, un entorno integrado de desarrollo para el aprendizaje](https://ubunlog.com/idle-python-entorno-desarrollo-aprendizaje/).

*Nota: es importante mencionar que los anteriores tutoriales de las páginas web recomendadas no son de nuestra autoría.*

##  Cargar y ejecutar los Programas
Primeramente se debe cargar el programa a la tarjeta de *Arduino UNO*, para ello hay que seguir las siguientes instrucciones:
´´´
1. **Conectar la tarjeta Arduino.**
La placa de desarrollo debe de ser conectada a la computadora al puerto USB. El LED de encendio de la placa debería de iluminarse.
´´´

2. 

3. 

4. 



## Projects and Issues tab 

To organize your progress, use the issues and projects tabs. In this way, it is possible to schedule your tasks and set milestones. Thus, each week can start by reviewing the pending tasks, organize your week tasks, and at the end of the week check and mark your progress.

### Issues and Labels

Let us start by setting some milestones (proposal, prototype, software function, etc.), set a Due Date, and its description. With your milestones, it will be easy to organize issues and track your progress.

After defining a milestone, 


- **task**
- **bug** 
- **improve**
- **

The `git-template` includes 9 basic labels to use each time you create an issue. These labels are detailed next:

- bug: Somethign is not working as expected or getting wrong results 
- duplicated: This issue or pull request already exists 
- further work: General advices to be considered in future elements, projects or submodules 
- help wanted: Some help is required by supervisors; directions, raw material, material, review results, or laboratory assistance 
- improve: Something has to be improved or rebuiled to improve expected results 
- question: Something needs a fast review or guidance to focus the aim of the project 
- submodules: The project should considers to create a submodule element to integrate in this project
- task: Assigned task to complete a milestone or project element; the assigned collaborators have to complete the task 
- wiki: Elements or information to be included in the Wiki page 

### Projects
**Considers that this is the main repository. Thus, create projects for main elements (circuit stage, specific behaivior, component, document, simulation, or submodule, etc.) to manage components or submodules related with the main repository**.

In the project always create three main boards: Todo, In Progress and Done. 

![](http://gmarxcc.com:8088/MSP430/GUI-Heater-System/raw/branch/master/Esquematico%20Conexiones/Esquematico_Sistema_de_Calentamiento.png)

